---
title: Get a Folder
url: https://www.tines.com/docs/api/folders/get/
updated: 2026-05-07T14:36:22+00:00
description: Retrieve a single folder.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Folders](https://www.tines.com/llm/docs/api/folders.md)*

# Get a Folder

*[View on tines.com](https://www.tines.com/docs/api/folders/get/)*

## Description

Retrieve a single folder.

## Request

HTTP Method: **GET**

| Parameter | Description                       |
| --------- | --------------------------------- |
| folder_id | The ID of the folder to retrieve. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/folders/<<folder_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified folder.

### Field description

| Parameter        | Description                                              |
| ---------------- | -------------------------------------------------------- |
| id               | The folder ID.                                           |
| name             | The folder name.                                         |
| team_id          | ID of team to which the folder belongs.                  |
| content_type     | The type of content stored in this folder                |
| size             | The number of items in this folder                       |
| parent_folder_id | ID of the parent folder, or `null` if at the root level. |

### Sample response

```json
{
  "id": 1,
  "name": "Folder name",
  "content_type": "CREDENTIAL",
  "team_id": 1,
  "size": 0,
  "parent_folder_id": null
}
```
